module.exports = {
  transform: { "^.+\\.ts?$": "ts-jest" },
  testEnvironment: "node",
  moduleFileExtensions: ["ts", "tsx", "js", "jsx", "json", "node"],
  globalSetup: "<rootDir>/tests/setup.ts",
  globalTeardown: "<rootDir>/tests/teardown.ts",
  collectCoverage: false,
  cacheDirectory: "test_results/cache",
  coverageDirectory: "test_results/",
  coverageReporters: ["text", "html"],
};
